# FullCalendar

简易活动日历

### 介绍

🌟 支持节日展示
🌟 支持活动日程标注
🌟 支持活动日程标注

<img src="./screenshot.jpg" width="880" style="margin:20px 0" />

#### 浏览器兼容性

支持所有符合 [ES5 标准的浏览器](http://kangax.github.io/compat-table/es5/)（不确定是否支持 IE9 及以下版本）。

### 安装

git

```bash
git clone https://github.com/Gavin-js/fullcalendar.git
cd fullcalendar && yarn install
```

yarn

```bash
yarn add @gavinzhang/fullcalendar
```
npm

```bash
npm install @gavinzhang/fullcalendar --save-dev
```

### 使用

```javascript
const calendar = new fullcalendar(element, {
    //日期
    date: new Date(),
    //活动日程
    activities: [
      {
        title: '**活动',
        start: '2019-7-1',
        end: '2019-7-20',
        background: 'green',
        hoverBackground: 'yellow'
      }
    ]
  });
  calendar.bind('onDateClick', (e, date, target) => {
    console.log('onDateClick', e, date, target)
  })
  calendar.bind('onActivityClick', (e, data, target) => {
    console.log('onActivityClick', e, data, target)
  })
  calendar.bind('onDateChange', (data) => {
    console.log('onDateChange', data)
  })
```
### 使用文档

更多请查看[Docs](https://gavin-js.github.io/fullcalendar)

### 示例 [Sample](https://github.com/Gavin-js/fullcalendar/tree/master/examples)
