"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _eid = 0;
function addEventListenerBySelcetor(container, event, selector, handler) {
    function _handler(e) {
        var matched = e.target.closest(selector);
        if (matched) {
            handler.call(matched, e, matched);
        }
    }
    container.addEventListener(event, _handler);
    return function () {
        container.removeEventListener(event, _handler);
    };
}
exports.addEventListenerBySelcetor = addEventListenerBySelcetor;
function eid(element) {
    var _oeid = element[0].getAttribute('_eid');
    if (_oeid) {
        return _oeid;
    }
    _eid++;
    Array.from(element).forEach(function (node) {
        ;
        node.setAttribute('_eid', String(_eid));
    });
    return _eid;
}
exports.eid = eid;
function addEventListenerBySelcetors(container, event, selectorAndHandlers) {
    var _handles = {};
    selectorAndHandlers.forEach(function (_a) {
        var selector = _a.selector, handler = _a.handler;
        var element = document.querySelectorAll(selector);
        _handles[eid(element)] = handler;
    });
    function _handler(e) {
        var matched = e.target.closest("[_eid]");
        if (matched) {
            _handles[matched.getAttribute('_eid')].call(matched, e, matched);
        }
    }
    container.addEventListener(event, _handler);
    return function () {
        container.removeEventListener(event, _handler);
    };
}
exports.addEventListenerBySelcetors = addEventListenerBySelcetors;
function onceInTime(fn, ms) {
    if (ms === void 0) { ms = 30; }
    var called = false;
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (called)
            return;
        called = true;
        setTimeout(function () {
            called = false;
        }, ms);
        return fn.apply(this, args);
    };
}
exports.onceInTime = onceInTime;
//# sourceMappingURL=index.js.map