import { Container } from '../components';
import { Interface } from '../common';
import { EmitterInterface } from '../common/Emitter';
import '../util/global';
import '../assets/style.less';
export default abstract class View {
    $el: HTMLElement;
    container: Container;
    now: Date;
    eventHandlers: any[];
    bind: EmitterInterface['bind'];
    unbind: EmitterInterface['unbind'];
    trigger: EmitterInterface['trigger'];
    onDateClick: (event: Event, date: string, target: Element) => void;
    onDateChange: (date: object) => void;
    onActivityClick: (event: Event, data: any[], target: Element) => void;
    onActivityOver: (event: Event, target: Element) => void;
    onActivityOut: (event: Event, target: Element) => void;
    onNext: (date: object) => void;
    onPrev: (date: object) => void;
    constructor(el: HTMLElement, option: Interface.CalendarOption);
    protected parseDate(date: Date): object;
    private _data;
    data: any;
    render(): void;
    abstract nextMonth(): void;
    abstract prevMonth(): void;
    abstract goToday(): void;
    private _onActivityLineOverHandler;
    private _onActivityLineOutHandler;
    private _onDateClickHandler;
    private _onActivityClickHandler;
    bindHandlers(): void;
    unBindHandlers(): void;
    destroy(): void;
}
